View Issue Details

IDProjectCategoryView StatusLast Update
15726Bug reportsSurvey editingpublic2020-01-28 17:39
Reportertpartner Assigned Top_teichmann  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC14 
Target Version4.0.x 
Summary15726: Localized custom question attributes not displayed correctly in the admin GUI
Description

The attribute settings for custom question themes with attributes using the <i18n> tag for localization are not rendered in the GUI for all survey languages.

The attribute settings for additional languages do appear to be stored correctly but are not indicated in the GUI after saving.

See screen-cast here - https://screencast-o-matic.com/watch/cYVDosvGbw

The "Test attribute 2" attribute is not rendered for German after saving.

Steps To Reproduce

Import the attached custom question theme and survey.

Modify the "Test attribute 2" settings in Q1 and save the question.

View the attributes.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

tpartner

tpartner

2020-01-16 16:58

developer  

List-Radio-Test-2.zip (7,059 bytes)
DenisChenu

DenisChenu

2020-01-16 19:19

developer   ~55338

@p_teichmann : you don't add the system when reading value
https://github.com/LimeSurvey/LimeSurvey/pull/1370/files#diff-1b4fbf906de3cb701eafa9ff1bec25a6R238

I think it's the original issue … that broke all other …

p_teichmann

p_teichmann

2020-01-28 16:46

administrator   ~55527

Last edited: 2020-01-28 16:47

View 2 revisions

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=29469
https://github.com/LimeSurvey/LimeSurvey/commit/3d961a490fc553124d54ce95ce40064af3fc96f8

lime_release_bot

lime_release_bot

2020-01-28 17:39

administrator   ~55534

Fixed in Release 4.1.0+200128

Related Changesets

LimeSurvey: master 3d961a49

2020-01-22 15:56:25

p_teichmann

Details Diff
Fixed issue 15726: localized question attributes not displayed correctly in the questioneditor Affected Issues
15726
mod - application/models/QuestionAttribute.php Diff File
mod - application/models/QuestionBaseDataSet.php Diff File

Issue History

Date Modified Username Field Change
2020-01-16 16:58 tpartner New Issue
2020-01-16 16:58 tpartner Status new => assigned
2020-01-16 16:58 tpartner Assigned To => cdorin
2020-01-16 16:58 tpartner File Added: List-Radio-Test-2.zip
2020-01-16 16:58 tpartner File Added: limesurvey_survey_698536.lss
2020-01-16 19:19 DenisChenu Note Added: 55338
2020-01-17 16:00 p_teichmann Assigned To cdorin => p_teichmann
2020-01-22 16:10 p_teichmann Status assigned => testing
2020-01-28 16:46 p_teichmann Changeset attached => LimeSurvey master 3d961a49
2020-01-28 16:46 p_teichmann Note Added: 55527
2020-01-28 16:46 p_teichmann Resolution open => fixed
2020-01-28 16:47 p_teichmann Note Edited: 55527 View Revisions
2020-01-28 16:48 p_teichmann Status testing => resolved
2020-01-28 17:39 lime_release_bot Note Added: 55534
2020-01-28 17:39 lime_release_bot Status resolved => closed